/***************************************************************
From the book "Motif Programming, The Essentials...and More"
by Marshall Brain.
Published by Digital Press, ISBN 1-55558-089-0.
To order the book, call 1-800-DIGITAL and ask for EY-J816E-DP.

Copyright 1992, by Digital Equipment Corp.

This code demonstrates the scale widget.
***************************************************************/

/* scale.c */

#include <Xm/Xm.h>
#include <Xm/Scale.h>

XtAppContext context;

Widget toplevel, scale;

main(argc,argv)
  int argc; 
  char *argv[];
{
  Arg al[10];
  int ac;

  /* create the toplevel shell */
  toplevel = XtAppInitialize(&context,"",NULL,0,&argc,argv,NULL,NULL,0);

  /* create scale widget */
  ac=0;
  XtSetArg(al[ac],XmNshowValue,True); ac++;
  scale=XmCreateScale(toplevel,"scale",al,ac);
  XtManageChild(scale);

  XtRealizeWidget(toplevel);
  XtAppMainLoop(context);
}
